--touch触发
-- touch_04		touch_06	touch_07	touch_08
-- if flag.GetValue(7001)=93
-- global.CallScript(7163)
-- end


function m009_3()

	--开始剧情 
	func_start(8716,3355,0,1)	
	--修改旗标 
	flag.SetValue(6001,101)  
	--还原dlc
	--flag.SetValue(45000,2)
	local	i
	
	
	--建立npc 
	--夏侯澜辉
	npc.Create(1,1,8708,3275)
	npc.SetAt(1,-1,0)
	--瑕	
	npc.SetPos(2,8760,3350)
	--姜承 
	npc.SetPos(3,8789,3307)
	--暮菖兰 
	npc.SetPos(4,8670,3240)
	npc.SetAtPos(4,8708,3275)
	--皇甫卓 
	npc.SetPos(6,8703,3251)
	npc.SetAtPos(6,8708,3275)
	--龙溟 
	npc.SetPos(7,8673,3290)
	npc.SetAtPos(7,8708,3275)
	--凌波 
	npc.SetPos(8,8659,3274)
	npc.SetAtPos(8,8708,3275)		
	
	
	--镜头1 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8726,-19,3335,8677,-47,3253)			
	camera.ResetLerp(12000)		
	camera.ChangeCameraStatic(8734,-11,3322,8673,-48,3252)		
	fade(1,0.7)
	--播放音乐 34
	global.PlayMusic(172,100,3000)	
	global.Wait(0.5)
	
	ui.Dialog(77863,163,0,4,0,0)			--大少爷，身体好些了？

	--夏侯看向暮菖兰
	npc.SetHeadRotTo(1,4,1,50)
	global.Wait(0.5)
	
	ui.Dialog(77864,521,0,1,0,0)			--好多了。多谢暮姑娘关心。
	global.Wait(0.5)
	ui.Dialog(77865,542,2,6,0,0)		--这次若能顺利回到中原，你定要多多练武，不为别的，哪怕只是强身健体也好。
	
	--夏侯转向皇甫卓  
	npc.SetHeadRot(1,0,0,0,50)
	npc.TurnToNpc(1,6,1)
	global.Wait(0.5)

	ui.Dialog(77866,527,0,1,0,0)--笑 --皇甫兄所言甚是，不过有你们在，我也没什么可怕的了。
	ui.Dialog(77867,550,2,6,0,0)	--皱眉头 --只知仰赖他人，孤身一人时你要如何？
	ui.Dialog(77868,524,0,1,0,0)--呃……那时……再随机应变吧，呵呵。
	
	npc.SetAnim(6,207,2)
	global.Wait(1)
	
	ui.Dialog(77869,547,2,6,0,0)--唉……
	global.Wait(0.5)
	
	
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(8738,-27,3288,8646,-51,3257)
	npc.TurnToNpc(1,7,1)
	global.Wait(0.5)
	
	ui.Dialog(77870,515,0,1,0,0)--对了，这两位是？
	
	
	
	
	
	--镜头2 
	--npc暂时消失 
	npc.SetVisible(1,0)
	npc.SetVisible(4,0)
	npc.SetVisible(6,0)
	--特写 龙溟 凌波  	
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(8698,-29,3267,8606,-53,3298)	
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(8698,-29,3267,8613,-50,3314)		
	global.Wait(0.5)
	
	ui.Dialog(77871,542,2,6,0,0)--这位是蜀山的凌波道长，另一位是龙溟龙公子。
	ui.Dialog(77872,542,2,6,0,0)--凌波道长精通医术，就是她给你服了一颗祛暑的丹药。
	
	
	
	
	
	
	
	
	--镜头3 
	--npc位置 
	npc.SetVisible(1,1)
	npc.SetVisible(4,1)
	npc.SetVisible(6,1)	
	npc.SetAtPos(1,8673,3290)	
	npc.SetAt(4,0,1)	
	npc.SetAtPos(6,8659,3274)
	--中镜 	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8744,-19,3295,8657,-55,3262)			
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(8750,-6,3298,8667,-50,3263)		
	--夏侯行礼
	npc.SetAnim(1,213,2)
	global.Wait(1)

	ui.Dialog(77873,515,2,1,0,0)--多谢二位救命之恩。
	
	npc.SetAnim(7,207,2)
	wt(1.5)
	ui.Dialog(77874,629,0,7,0,0)	--公子言重了。阁下不过是中了些许暑气，“救命之恩”实在受之有愧。

	--凌波点头 
	-- npc.SetHeadRot(8,0,20,1,40)
	-- global.Wait(0.15)
	-- npc.SetHeadRot(8,0,0,1,50)
	-- global.Wait(0.5)
	
	ui.Dialog(77875,150,0,8,0,0)--嗯，公子不必多礼。
	
	--暮菖兰看向凌波  
	npc.SetHeadRotTo(4,8,1,50)
	global.Wait(0.5)
	
	ui.Dialog(77876,163,2,4,0,0)	--微笑 --说起来，之前我们在折剑山庄品剑大会曾经见到一位凌音道长，听名字，不知道是否和凌波道长有些关系？

	--凌波转向暮菖兰
	npc.SetHeadRot(8,30,0,0,50)
	global.Wait(0.5)

	ui.Dialog(77877,155,0,8,0,0)	--凌音？她正是舍妹。
	
	--龙溟看向皇甫卓 
	npc.SetHeadRotTo(7,6,1,50)
	global.Wait(0.5)
	
	ui.Dialog(77878,629,0,7,0,0)--哦？那这倒真是缘分了。

	--龙溟思考 
	npc.SetHeadRot(7,0,0,0,50)
	npc.SetAnim(7,216)
	global.Wait(0.5)
	
	ui.Dialog(77879,629,0,7,0,0)	--听闻中原江湖近十年来，南林北沈逐渐隐退，武林中俨然唯皇甫夏侯欧阳上官四大世家马首是瞻。
	ui.Dialog(77880,629,0,7,0,0)--两位公子既然高姓皇甫、夏侯，又曾出席品剑大会，莫非就是这四大世家的贵人？
	
	--凌波看向夏侯  暮菖兰看向龙溟  
	npc.SetHeadRotTo(8,1,0,50)
	npc.SetHeadRotTo(4,7,1,50)
	global.Wait(0.5)
	
	ui.Dialog(77881,163,2,4,0,0)	--呵呵，这两位正是皇甫家和夏侯家的少主。
	
	--龙溟行礼 
	npc.SetAnim(7,213,2)
	global.Wait(1)

	ui.Dialog(77882,629,0,7,0,0)	--笑 --得见两位少主，荣幸之至。
	global.Wait(1)
	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8675,-25,3290,8743,-51,3222)			
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(8675,-25,3290,8748,-51,3227)			
	global.Wait(0.5)
	
	
	--皇甫行礼
	npc.SetAnim(6,213,2)
	global.Wait(1)

	ui.Dialog(77883,548,2,6,0,0)	--不敢。

	--夏侯行礼 
	npc.SetAnim(1,213,2)
	global.Wait(1)	

	ui.Dialog(77884,521,2,1,0,0)		--……惭愧。
	global.Wait(1)
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8740,-11,3231,8661,-46,3282)			
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(8760,-1,3218,8680,-39,3266)	
	global.Wait(0.5)
	
	--龙溟转向皇甫 
	npc.SetHeadRotTo(7,6,1,50)

	ui.Dialog(77885,629,0,7,0,0)		--听刚才所言，几位是乘一块飞石阴差阳错才掉落大漠中的？ 
	
	npc.SetAnim(4,217,2)
	ui.Dialog(77886,163,2,4,0,0)		--哦，刚才没来得及细说，事情是这样的——
	
	--黑屏 
	effect.FadeOut(1,1)
	global.Wait(1)
	
	ui.Message(77887)--暮菖兰将飞石相关之事讲述一遍
	global.Wait(1)
	
	
	
	
	
	
	
	
	
	
	
	
	
	--镜头4 
	--npc位置 
	npc.SetAtPos(1,8673,3290)	
	npc.SetAt(4,0,1)	
	npc.SetAtPos(6,8659,3274)	
	npc.SetAtPos(7,8708,3275)
	npc.SetAt(8,1,0)
	npc.SetAnim(8,216)
	npc.SetHeadRot(1,0,0)
	npc.SetHeadRot(4,0,0)	
	npc.SetHeadRot(6,0,0)
	npc.SetHeadRot(7,0,0)
	npc.SetHeadRot(8,0,0)	
	--全镜 	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8680,-34,3267,8586,-49,3296)			
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(8688,-32,3265,8594,-48,3293)			
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(2)

	ui.Dialog(77888,154,0,8,0,0)		--蜀山是借盘古之心的灵力悬于半空，没想到竟另有奇石，可浮于空中。天下之大，果然无奇不有。

	--凌波恢复 
	npc.SetAnim(8,200)
	global.Wait(0.5)
	
	ui.Dialog(77889,155,0,8,0,0)		--几位此次经历这般大难，却是安然无恙，真算是上天护佑了。
	
	
	
	
	
	
	
	
	
	
	--镜头5
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8722,3,3388,8703,-42,3300)		
	camera.ResetLerp(30000)		
	camera.ChangeCameraStatic(8689,-19,3347,8697,-48,3252)			
	--瑕、姜承走过来 
	npc.MoveTo(3,8730,3265)
	npc.MoveTo(2,8697,3297,1)	
	npc.TurnToNpc(2,8,1)
	npc.TurnToNpc(3,7)
	npc.SetAnim(2,207,2)
	global.Wait(1)
	
	ui.Dialog(77890,191,0,2,0,0)		--是贵人庇佑吧，要不是遇到你们，我们搞不好就要渴死在这里了。

	--皇甫转向瑕
	npc.TurnToNpc(6,2,1,50)
	global.Wait(0.5)

	ui.Dialog(77891,550,2,6,0,0)		--希望你仔细反省，将来做事切勿如此莽撞。

	--瑕转向皇甫 
	--瑕怒 
	npc.TurnToNpc(2,6,1)
	npc.SetAnim(2,205)
	
	ui.Dialog(77892,193,0,2,0,0)		--我——

	--众人转向瑕
	npc.TurnToNpc(1,2)
	npc.SetHeadRotTo(4,2,0,50)
	global.Wait(1)
	npc.TurnTo(2,0,1,1)
	--瑕生气
	npc.SetAnim(2,245)
	global.Wait(0.5)
	
	ui.Dialog(77893,500,0,2,0,0)		--（不生气不生气～就算他嘴巴坏，可我的确做错了，要忍要忍！）

	--夏侯转向皇甫 
	npc.TurnToNpc(1,6,1)
	
	ui.Dialog(77894,524,0,1,0,0)		--尴尬 --皇甫兄，此事就别再提了吧。

	--皇甫卓看向夏侯 
	npc.SetHeadRotTo(6,1,1,50)
	global.Wait(0.5)

	ui.Dialog(77895,542,2,6,0,0)	--哼，你又……罢了。
	global.Wait(1)
	ui.Dialog(77896,126,2,3,0,0)		--……
	
	npc.SetVisible(2,0)
	--推镜头 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8705,-29,3299,8625,-52,3244)				
	--暮菖兰转向龙溟、凌波
	npc.SetHeadRotTo(4,7,1,50)
	global.Wait(0.5)
	
	ui.Dialog(77897,163,2,4,0,0)		--龙公子和凌波姑娘也是要去东边的建筑那里吗？
	
	--众人转身 
	npc.TurnToNpc(1,7)
	npc.TurnToNpc(2,4)
	npc.SetHeadRotTo(3,7,0,50)	
	npc.SetHeadRotTo(6,7,0,50)
	npc.SetHeadRotTo(7,6,1,50)
	npc.TurnTo(8,1,-3,1)
	npc.SetHeadRotTo(8,4,1,50)

	ui.Dialog(77898,155,0,8,0,0)		--嗯，那里就是楼兰古城。
	
	
	
	
	
	
	
	
	
	
	--镜头6 
	--特写楼兰城
	fade(1)
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(3362,840,3259,3305,820,3180)			
	camera.ResetLerp(7000)		
	camera.ChangeCameraStatic(3371,419,2510,3291,420,2449)
	player.SetPos(4400,2500)	
	global.WaitForCameraLerp()
	
	fade(1)
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(5440,678,2251,5343,683,2229)
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(4003,541,3531,3934,553,3460)
	wt(1)
	ui.Dialog(77899,522,0,1,0,0)		--楼兰……这座城曾是楼兰国的古都，是这片大漠中最大的城池，作为西域诸国通商的必经之处，一度极为繁盛，后因水源日渐稀少而渐渐衰落。
	ui.Dialog(77900,522,0,1,0,0)--出神		--楼兰国衰亡后，听闻楼兰遗民与一些别处迁徙而来的百姓一同，占据了旧城一角，继续在此生活。
	global.Wait(1)
	
	--淡出  
	effect.FadeOut(1,1)
	global.Wait(1)
	
	
	
	
	
	
	
	
	
	
	--镜头7 
	--中镜 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8745,-11,3287,8655,-51,3275)			
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(8774,3,3319,8692,-39,3281)	
	--npc位置 
	player.SetPos(8716,3355)
	
	npc.SetHeadRot(1,0,0)
	npc.SetHeadRot(2,0,0)
	npc.SetHeadRot(3,0,0)
	npc.SetHeadRot(4,0,0)
	npc.SetHeadRot(6,0,0)
	npc.SetHeadRot(7,0,0)	
	npc.SetHeadRot(8,0,0)
	npc.SetVisible(2,1)
	npc.SetAtPos(2,8670,3240)
	npc.SetAnim(2,200)	
	-- npc.SetAnim(4,211,2)
	npc.SetAtPos(8,8768,3275)
	global.Wait(1)		
	
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(2)
	
	ui.Dialog(77901,150,0,8,0,0)		--笑--夏侯少主真是博闻广识。
	ui.Dialog(77902,521,2,1,0,0)		--微笑 --不敢。
	
	--夏侯谈话 
	npc.SetAnim(1,217,2)
	global.Wait(1)
	
	ui.Dialog(77903,521,2,1,0,0)		--皇甫世家经营玉石生意，和西域客商多有往来，这些大都是皇甫兄告诉我的。
	
	--皇甫卓摇头  
	npc.SetAnim(6,207,2)
	global.Wait(1)
	
	ui.Dialog(77904,550,2,6,0,0)		--……讨好卖乖。
	
	--夏侯转向皇甫卓 
	npc.TurnToNpc(1,6,1)
	global.Wait(0.5)

	ui.Dialog(77905,527,0,1,0,0)	--笑 --呵呵。皇甫兄，我们这也算是因祸得福了吧。

	--皇甫卓转向夏侯 
	npc.SetHeadRotTo(6,1,1,50)
	global.Wait(0.5)

	-- ui.Dialog(77906,550,2,6,0,0)	--皱眉 --……
	-- global.Wait(1)
	-- camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(8737,-36,3287,8639,-47,3275)
	-- camera.ResetLerp(4000)
	-- camera.ChangeCameraStatic(8759,-32,3291,8664,-54,3271)
	
	npc.SetAnim(7,216)
	ui.Dialog(77907,629,0,7,0,0)	--皱眉 		--莫非几位本就是要前往楼兰城？
	
	--夏侯转向龙溟
	npc.TurnToNpc(1,7,1)
	global.Wait(0.5)	
	
	ui.Dialog(77908,521,0,1,0,0)		--是曾有此打算，但因路途过于遥远而放弃了。如今阴差阳错竟直接落到楼兰城附近，可说是上天作美了。
	ui.Dialog(77909,635,0,7,0,0)	--皱眉 	--几位来楼兰难道也是为了那个传闻？
	
	--暮菖兰转向龙溟 
	--众人转向龙溟
	-- npc.TurnToNpc(1,7)
	npc.SetHeadRotTo(2,7,0,50)
	npc.SetHeadRotTo(3,7,0,50)
	npc.SetHeadRotTo(6,7,0,50)
	npc.SetHeadRotTo(4,7,1,50)
	global.Wait(0.5)
	
	ui.Dialog(77910,162,2,4,0,0)		--传闻？ 
	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8659,-17,3344,8700,-46,3257)		
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(8655,-20,3353,8691,-42,3262)
	global.Wait(0.5)

	--凌波转向暮菖兰
	npc.SetHeadRot(8,4,1,50)
	global.Wait(0.5)

	npc.SetAnim(7,200)
	ui.Dialog(77911,150,0,8,0,0)		--据传从前年开始，楼兰古城不知为何与外界失去一切联系。无论是他国的游民，还是途经的商旅，都是一去不返，杳无音讯。 
	ui.Dialog(77912,150,0,8,0,0)		--就如同被这城吞噬了一般。 

	--暮菖兰思考
	npc.SetAnim(4,216)
	global.Wait(1)

	ui.Dialog(77913,162,0,4,0,0)		--这个倒是没听说过呢…… 

	--夏侯转向凌波
	npc.SetHeadRotTo(1,8,1,50)
	--夏侯交谈动作 
	npc.SetAnim(1,217,2)
	global.Wait(1)

	ui.Dialog(77914,521,2,1,0,0)	--兴奋 --竟有如此奇事？ 

	--瑕扶头
	npc.SetHeadRotTo(8,1,0,50)
	npc.SetHeadRot(2,0,0,0,50)
	npc.TurnToNpc(2,1,1)
	-- npc.SetAnim(2,247)

	ui.Dialog(77915,195,2,2,0,0)			--一听到怪事就来精神，你还没吃够苦头啊。 

	--夏侯转向瑕
	npc.SetHeadRot(1,0,0,0,50) 
	npc.TurnToNpc(1,2,1)
	global.Wait(0.5)
	
	ui.Dialog(77916,524,2,1,0,0)	--苦笑 --……
	
	--暮菖兰恢复 
	npc.SetAnim(4,200)
	global.Wait(0.5)
	
	ui.Dialog(77917,166,0,4,0,0)	--那两位来此是为了？ 
	global.Wait(0.5)
	
	
	
	
	npc.SetVisible(2,0)
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8718,-33,3290,8621,-47,3267)			
	global.Wait(0.5)
	
	--瑕恢复  龙溟看向暮菖兰
	npc.SetAnim(2,200)	
	
	ui.Dialog(77918,629,0,7,0,0)	--笑 --蜀山派向以斩妖除魔，卫护众生为己任。若是此地怪事是因什么妖魔而起，凌波道长与我自然不能袖手旁观。 

	--凌波看向龙溟 
	npc.SetHeadRotTo(8,7,1,50)
	global.Wait(1)
	npc.SetHeadRot(8,0,20,0,50)
	global.Wait(1)	
	npc.SetAnim(3,216)	
	global.Wait(1)
	
	
	
	

	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8723,-30,3304,8738,-44,3206)			
	npc.SetVisible(2,1)	
	
	ui.Dialog(77919,126,2,3,0,0)	--……
	
	camera.ResetLerp(3000)		
	camera.ChangeCameraStatic(8706,-19,3319,8728,-50,3227)	
	--姜承看向夏侯 
	npc.SetAnim(3,200)
	npc.SetHeadRotTo(3,1,1,50)
	global.Wait(0.5)

	ui.Dialog(77920,126,2,3,0,0)	--既然此地并不太平，我们还是回中原为上。

	--夏侯转向姜承 
	npc.TurnToNpc(6,3)
	npc.TurnToNpc(1,3)
	global.Wait(0.5)

	ui.Dialog(77921,526,0,1,0,0)	--不甘心  --这……
	
	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(8753,-15,3291,8664,-54,3267)			
	camera.ResetLerp(25000)		
	camera.ChangeCameraStatic(8776,-2,3307,8694,-43,3266)				
	
	--凌波转向夏侯 
	npc.SetHeadRotTo(8,1,1,50)
	global.Wait(0.5)	
	
	ui.Dialog(77922,150,0,8,0,0)	--那么，我们便分一些补给给几位。

	--皇甫转向凌波
	npc.TurnToNpc(6,8,1)

	ui.Dialog(77923,542,2,6,0,0)	--不，我们也一同去。

	--众人转向皇甫
	npc.TurnToNpc(1,6)
	npc.SetHeadRotTo(2,6,0,50)
	npc.TurnToNpc(4,6)
	npc.SetHeadRotTo(7,6,0,50)
	npc.SetHeadRotTo(8,6,0,50)
	npc.TurnToNpc(3,6,1)

	ui.Dialog(77924,130,2,3,0,0)	--疑问 --皇甫少主？

	--瑕生气
	npc.SetAnim(2,210)
	global.Wait(1)

	ui.Dialog(77925,739,0,2,0,0)	--不爽 --（低声）还说我莽撞呢，哼……
	npc.SetAnim(2,200)
	
	--皇甫转向姜承
	npc.SetHeadRot(6,0,0,0,50)
	npc.TurnToNpc(6,3,1)
	global.Wait(0.5)

	ui.Dialog(77926,551,2,6,0,0)	--行走大漠与别地不同，若无经验丰富的向导和骆驼马匹，就算有水粮，我们怕是也走不出去。
	ui.Dialog(77927,542,2,6,0,0)	--倒不如前往楼兰，看看能否能找到商队或向导。
	
	npc.SetAnim(4,217,2)
	wt(0.8)
	ui.Dialog(77928,163,2,4,0,0)--皇甫少爷说的不错。
	
	wt(0.8)
	ui.Dialog(77929,126,2,3,0,0)		--嗯。

	--夏侯转向龙溟
	npc.TurnToNpc(1,7,1)
	global.Wait(0.5)

	ui.Dialog(77930,515,0,1,0,0)		--那龙公子，凌波姑娘，同行去楼兰，就劳烦两位了。

	--龙溟凌波转向夏侯 
	npc.SetHeadRotTo(8,1,0,50)
	npc.SetHeadRotTo(7,1,1,50)

	ui.Dialog(77931,629,0,7,0,0)	--笑	--乐意效劳。
	
	
	--更换队列
	player.Add(p_id(2),1)
	player.Add(p_id(3),1)
	player.Add(p_id(4),1)
	player.Add(p_id(6),1)
	player.Add(p_id(7),1)
	player.Add(p_id(8),1)
	
	
	--清理npc 恢复转头 
	effect.FadeOut(1,1)
	--音乐渐停 
	global.MusicFadeIn(2000,100,0)		
	global.Wait(2)	
	--切回戈壁BGM 
	global.PlayMusic(61,100,3000)
	
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end	


	player.SetAt(-1,1)
	
	
--删除上一个任务
ui.FinishQuest(539)
--添加任务
ui.AddQuest(540)	
	
	
	func_end(8716,3355,1,1)
	
	
	
	
	


end